#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-good-1.28.2

- Next

  gst-plugins-ugly-1.28.2

- Up
- Home

# gst-plugins-bad-1.28.2

## Introduction to GStreamer Bad Plug-ins

The GStreamer Bad Plug-ins package contains a set of plug-ins that aren't up to par compared to the rest. They might be close to being good quality, but they're missing something - be it a good code review, some documentation, a set of tests, a real live maintainer, or some actual wide use.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-1.28.2.tar.xz

- Download MD5 sum: d24e7d61d4b1ccca8d5c78f6dc9c1e58

- Download size: 7.7 MB

- Estimated disk space required: 310 MB (with tests)

- Estimated build time: 0.7 SBU (Using parallelism=4; with tests)

### GStreamer Bad Plug-ins Dependencies

#### Required

gst-plugins-base-1.28.2

#### Recommended

libaom-3.13.3 (for chroma subsampling outside of YUV420), libdvdread-7.0.1, libdvdnav-7.0.0, libva-2.23.0, SVT-AV1-4.1.0 (only supports YUV420), SoundTouch-2.4.1

#### Optional

BlueZ-5.86, cURL-8.19.0, faac-1.50, FAAD2-2.11.2, fdk-aac-2.0.3, GTK-3.24.52 (for examples), gst-plugins-good-1.28.2 (for one test), JSON-GLib-1.10.8, Little CMS-2.19, libass-0.17.4, libde265-1.0.18, libexif-0.6.26 (for one test), librsvg-2.62.1, libsndfile-1.2.2, libssh2-1.11.1, libusb-1.0.29, libwebp-1.6.0, libxkbcommon-1.13.1, libxml2-2.15.3, neon-0.37.1, Nettle-4.0 or libgcrypt-1.12.2 (for SSL support in the hls plugin, if both are not installed OpenSSL will be used instead), opencv-4.13.0 (with additional modules), OpenJPEG-2.5.4, Opus-1.6.1, Pango-1.57.1, libqrencode-4.1.1, SBC-2.2, Valgrind-3.26.0, both Vulkan-Loader-1.4.341.0 and glslc from shaderc-2026.2 (for Vulkan plugin), Wayland-1.24.0 (GTK-3.24.52 must have been compiled with wayland support), x265-4.2, zxing-cpp-3.0.2, bs2b, Chromaprint, dssim, Flite, FluidSynth, Game Music Emu, GSM (currently broken), hotdoc, LADSPA, ldacBT, libajantv2, libavtp, libdc1394-2, libdca, libkate, libmfx, libmms, libmodplug, libnice, libofa, libopenmpt, libopenni, libsoup2, libsrtp, lilv, LRDF, ltc-tools, microdns, MJPEG Tools, mplex2, musepack, onnxruntime, OpenAL, OpenEXR, OpenH264, Orc, rtmpdump, spandsp, Srt, svthevcenc, VO AAC, VO AMRWB, WildMidi, WPE-WebKit, WPEBackend-fdo, ZBAR, and ZVBI

## Installation of GStreamer Bad Plug-ins

### Note

If you need a plugin for a given dependency, that dependency needs to be installed before this package.

Install GStreamer Bad Plug-ins by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D gpl=enabled      &&
    ninja

To test the results, issue: ninja test. Several tests need a terminal emulator in a graphical session. If gst-plugins-good-1.28.2 is not installed, two tests, elements_rtpsrc and elements_rtpsink, will fail.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gpl=enabled`: Without this switch, plugins with dependencies on (A)GPL licensed libraries are not built.

## Contents

Installed Programs: gst-transcoder-1.0 and playout
Installed Libraries: libgstadaptivedemux-1.0.so, libgstanalytics-1.0.so, libgstbadaudio-1.0.so, libgstbasecamerabinsrc-1.0.so, libgstcuda-1.0.so, libgstcodecparsers-1.0.so, libgstcodecs-1.0.so, libgstdxva-1.0.so, libgstinsertbin-1.0.so, libgstisoff-1.0.so, libgstmpegts-1.0.so, libgstmse-1.0.so, libgstphotography-1.0.so, libgstplay-1.0.so, libgstplayer-1.0.so, libgstsctp-1.0.so, libgsttranscoder-1.0.so, libgsturidownloader-1.0.so, libgstva-1.0.so, libgstwayland-1.0.so, libgstwebrtc-1.0.so, and several plugins under /usr/lib/gstreamer-1.0
Installed Directories: /usr/include/gstreamer-1.0/gst/{audio,basecamerabinsrc,cuda}, /usr/include/gstreamer-1.0/gst/{codecparsers,insertbin,interfaces}, /usr/include/gstreamer-1.0/gst/{isoff,mpegts,play,player,sctp} /usr/include/gstreamer-1.0/gst/{transcoder,uridownloader,va}, and /usr/include/gstreamer-1.0/gst/{wayland,webrtc}

### Short Descriptions

gst-transcoder-1.0 | is used to transcode a stream into a different format
playout | is an example application used to sequentially play a list of audio-video files

- Prev

  gst-plugins-good-1.28.2

- Next

  gst-plugins-ugly-1.28.2

- Up
- Home